<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "consulta_final_2018info.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$consulta_final_2018_view = NULL; // Initialize page object first

class cconsulta_final_2018_view extends cconsulta_final_2018 {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'consulta_final_2018';

	// Page object name
	var $PageObjName = 'consulta_final_2018_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Custom export
	var $ExportExcelCustom = FALSE;
	var $ExportWordCustom = FALSE;
	var $ExportPdfCustom = FALSE;
	var $ExportEmailCustom = FALSE;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (consulta_final_2018)
		if (!isset($GLOBALS["consulta_final_2018"]) || get_class($GLOBALS["consulta_final_2018"]) == "cconsulta_final_2018") {
			$GLOBALS["consulta_final_2018"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["consulta_final_2018"];
		}
		$KeyUrl = "";
		if (@$_GET["ID_tabla"] <> "") {
			$this->RecKey["ID_tabla"] = $_GET["ID_tabla"];
			$KeyUrl .= "&amp;ID_tabla=" . urlencode($this->RecKey["ID_tabla"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'consulta_final_2018', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "div";
		$this->ExportOptions->TagClassName = "ewExportOption";

		// Other options
		$this->OtherOptions['action'] = new cListOptions();
		$this->OtherOptions['action']->Tag = "div";
		$this->OtherOptions['action']->TagClassName = "ewActionOption";
		$this->OtherOptions['detail'] = new cListOptions();
		$this->OtherOptions['detail']->Tag = "div";
		$this->OtherOptions['detail']->TagClassName = "ewDetailOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->ID_tabla->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $consulta_final_2018;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($consulta_final_2018);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $OtherOptions = array(); // Other options
	var $DisplayRecs = 1;
	var $DbMasterFilter;
	var $DbDetailFilter;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;

		// Set up Breadcrumb
		if ($this->Export == "")
			$this->SetupBreadcrumb();
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["ID_tabla"] <> "") {
				$this->ID_tabla->setQueryStringValue($_GET["ID_tabla"]);
				$this->RecKey["ID_tabla"] = $this->ID_tabla->QueryStringValue;
			} elseif (@$_POST["ID_tabla"] <> "") {
				$this->ID_tabla->setFormValue($_POST["ID_tabla"]);
				$this->RecKey["ID_tabla"] = $this->ID_tabla->FormValue;
			} else {
				$sReturnUrl = "consulta_final_2018list.php"; // Return to list
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "consulta_final_2018list.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "consulta_final_2018list.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up other options
	function SetupOtherOptions() {
		global $Language, $Security;
		$options = &$this->OtherOptions;
		$option = &$options["action"];

		// Add
		$item = &$option->Add("add");
		$item->Body = "<a class=\"ewAction ewAdd\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" href=\"" . ew_HtmlEncode($this->AddUrl) . "\">" . $Language->Phrase("ViewPageAddLink") . "</a>";
		$item->Visible = ($this->AddUrl <> "");

		// Edit
		$item = &$option->Add("edit");
		$item->Body = "<a class=\"ewAction ewEdit\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" href=\"" . ew_HtmlEncode($this->EditUrl) . "\">" . $Language->Phrase("ViewPageEditLink") . "</a>";
		$item->Visible = ($this->EditUrl <> "");

		// Copy
		$item = &$option->Add("copy");
		$item->Body = "<a class=\"ewAction ewCopy\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" href=\"" . ew_HtmlEncode($this->CopyUrl) . "\">" . $Language->Phrase("ViewPageCopyLink") . "</a>";
		$item->Visible = ($this->CopyUrl <> "");

		// Delete
		$item = &$option->Add("delete");
		$item->Body = "<a class=\"ewAction ewDelete\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" href=\"" . ew_HtmlEncode($this->DeleteUrl) . "\">" . $Language->Phrase("ViewPageDeleteLink") . "</a>";
		$item->Visible = ($this->DeleteUrl <> "");

		// Set up action default
		$option = &$options["action"];
		$option->DropDownButtonPhrase = $Language->Phrase("ButtonActions");
		$option->UseImageAndText = TRUE;
		$option->UseDropDownButton = FALSE;
		$option->UseButtonGroup = TRUE;
		$item = &$option->Add($option->GroupOptionName);
		$item->Body = "";
		$item->Visible = FALSE;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->ID_tabla->setDbValue($rs->fields('ID_tabla'));
		$this->Codigo_prestador->setDbValue($rs->fields('Codigo_prestador'));
		$this->Tipo_id_usuario->setDbValue($rs->fields('Tipo_id_usuario'));
		$this->Numero_id_usuario->setDbValue($rs->fields('Numero_id_usuario'));
		$this->Fecha_consulta->setDbValue($rs->fields('Fecha_consulta'));
		$this->Codigo_consulta->setDbValue($rs->fields('Codigo_consulta'));
		$this->Finalidad_consulta->setDbValue($rs->fields('Finalidad_consulta'));
		$this->Causa_externa->setDbValue($rs->fields('Causa_externa'));
		$this->Codigo_diagnostico->setDbValue($rs->fields('Codigo_diagnostico'));
		$this->Tipo_diagnostico_principal->setDbValue($rs->fields('Tipo_diagnostico_principal'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Causa_Completa->setDbValue($rs->fields('Causa_Completa'));
		$this->Id->setDbValue($rs->fields('Id'));
		$this->Letra->setDbValue($rs->fields('Letra'));
		$this->Numero->setDbValue($rs->fields('Numero'));
		$this->Codigo_tres->setDbValue($rs->fields('Codigo_tres'));
		$this->Titulo_codigo_tres->setDbValue($rs->fields('Titulo_codigo_tres'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->ID_tabla->DbValue = $row['ID_tabla'];
		$this->Codigo_prestador->DbValue = $row['Codigo_prestador'];
		$this->Tipo_id_usuario->DbValue = $row['Tipo_id_usuario'];
		$this->Numero_id_usuario->DbValue = $row['Numero_id_usuario'];
		$this->Fecha_consulta->DbValue = $row['Fecha_consulta'];
		$this->Codigo_consulta->DbValue = $row['Codigo_consulta'];
		$this->Finalidad_consulta->DbValue = $row['Finalidad_consulta'];
		$this->Causa_externa->DbValue = $row['Causa_externa'];
		$this->Codigo_diagnostico->DbValue = $row['Codigo_diagnostico'];
		$this->Tipo_diagnostico_principal->DbValue = $row['Tipo_diagnostico_principal'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Causa_Completa->DbValue = $row['Causa_Completa'];
		$this->Id->DbValue = $row['Id'];
		$this->Letra->DbValue = $row['Letra'];
		$this->Numero->DbValue = $row['Numero'];
		$this->Codigo_tres->DbValue = $row['Codigo_tres'];
		$this->Titulo_codigo_tres->DbValue = $row['Titulo_codigo_tres'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();
		$this->SetupOtherOptions();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// ID_tabla
		// Codigo_prestador
		// Tipo_id_usuario
		// Numero_id_usuario
		// Fecha_consulta
		// Codigo_consulta
		// Finalidad_consulta
		// Causa_externa
		// Codigo_diagnostico
		// Tipo_diagnostico_principal
		// Edad
		// Unidad_edad
		// Sexo
		// Zona_residencia
		// Tipo_Usuario
		// Codigo_eps
		// Causa_Completa
		// Id
		// Letra
		// Numero
		// Codigo_tres
		// Titulo_codigo_tres

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// ID_tabla
		$this->ID_tabla->ViewValue = $this->ID_tabla->CurrentValue;
		$this->ID_tabla->ViewCustomAttributes = "";

		// Codigo_prestador
		$this->Codigo_prestador->ViewValue = $this->Codigo_prestador->CurrentValue;
		$this->Codigo_prestador->ViewCustomAttributes = "";

		// Tipo_id_usuario
		$this->Tipo_id_usuario->ViewValue = $this->Tipo_id_usuario->CurrentValue;
		$this->Tipo_id_usuario->ViewCustomAttributes = "";

		// Numero_id_usuario
		$this->Numero_id_usuario->ViewValue = $this->Numero_id_usuario->CurrentValue;
		$this->Numero_id_usuario->ViewCustomAttributes = "";

		// Fecha_consulta
		$this->Fecha_consulta->ViewValue = $this->Fecha_consulta->CurrentValue;
		$this->Fecha_consulta->ViewCustomAttributes = "";

		// Codigo_consulta
		$this->Codigo_consulta->ViewValue = $this->Codigo_consulta->CurrentValue;
		$this->Codigo_consulta->ViewCustomAttributes = "";

		// Finalidad_consulta
		$this->Finalidad_consulta->ViewValue = $this->Finalidad_consulta->CurrentValue;
		$this->Finalidad_consulta->ViewCustomAttributes = "";

		// Causa_externa
		$this->Causa_externa->ViewValue = $this->Causa_externa->CurrentValue;
		$this->Causa_externa->ViewCustomAttributes = "";

		// Codigo_diagnostico
		$this->Codigo_diagnostico->ViewValue = $this->Codigo_diagnostico->CurrentValue;
		$this->Codigo_diagnostico->ViewCustomAttributes = "";

		// Tipo_diagnostico_principal
		$this->Tipo_diagnostico_principal->ViewValue = $this->Tipo_diagnostico_principal->CurrentValue;
		$this->Tipo_diagnostico_principal->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Causa_Completa
		$this->Causa_Completa->ViewValue = $this->Causa_Completa->CurrentValue;
		$this->Causa_Completa->ViewCustomAttributes = "";

		// Id
		$this->Id->ViewValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Letra
		$this->Letra->ViewValue = $this->Letra->CurrentValue;
		$this->Letra->ViewCustomAttributes = "";

		// Numero
		$this->Numero->ViewValue = $this->Numero->CurrentValue;
		$this->Numero->ViewCustomAttributes = "";

		// Codigo_tres
		$this->Codigo_tres->ViewValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->ViewCustomAttributes = "";

		// Titulo_codigo_tres
		$this->Titulo_codigo_tres->ViewValue = $this->Titulo_codigo_tres->CurrentValue;
		$this->Titulo_codigo_tres->ViewCustomAttributes = "";

			// ID_tabla
			$this->ID_tabla->LinkCustomAttributes = "";
			$this->ID_tabla->HrefValue = "";
			$this->ID_tabla->TooltipValue = "";

			// Codigo_prestador
			$this->Codigo_prestador->LinkCustomAttributes = "";
			$this->Codigo_prestador->HrefValue = "";
			$this->Codigo_prestador->TooltipValue = "";

			// Tipo_id_usuario
			$this->Tipo_id_usuario->LinkCustomAttributes = "";
			$this->Tipo_id_usuario->HrefValue = "";
			$this->Tipo_id_usuario->TooltipValue = "";

			// Numero_id_usuario
			$this->Numero_id_usuario->LinkCustomAttributes = "";
			$this->Numero_id_usuario->HrefValue = "";
			$this->Numero_id_usuario->TooltipValue = "";

			// Fecha_consulta
			$this->Fecha_consulta->LinkCustomAttributes = "";
			$this->Fecha_consulta->HrefValue = "";
			$this->Fecha_consulta->TooltipValue = "";

			// Codigo_consulta
			$this->Codigo_consulta->LinkCustomAttributes = "";
			$this->Codigo_consulta->HrefValue = "";
			$this->Codigo_consulta->TooltipValue = "";

			// Finalidad_consulta
			$this->Finalidad_consulta->LinkCustomAttributes = "";
			$this->Finalidad_consulta->HrefValue = "";
			$this->Finalidad_consulta->TooltipValue = "";

			// Causa_externa
			$this->Causa_externa->LinkCustomAttributes = "";
			$this->Causa_externa->HrefValue = "";
			$this->Causa_externa->TooltipValue = "";

			// Codigo_diagnostico
			$this->Codigo_diagnostico->LinkCustomAttributes = "";
			$this->Codigo_diagnostico->HrefValue = "";
			$this->Codigo_diagnostico->TooltipValue = "";

			// Tipo_diagnostico_principal
			$this->Tipo_diagnostico_principal->LinkCustomAttributes = "";
			$this->Tipo_diagnostico_principal->HrefValue = "";
			$this->Tipo_diagnostico_principal->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Causa_Completa
			$this->Causa_Completa->LinkCustomAttributes = "";
			$this->Causa_Completa->HrefValue = "";
			$this->Causa_Completa->TooltipValue = "";

			// Id
			$this->Id->LinkCustomAttributes = "";
			$this->Id->HrefValue = "";
			$this->Id->TooltipValue = "";

			// Letra
			$this->Letra->LinkCustomAttributes = "";
			$this->Letra->HrefValue = "";
			$this->Letra->TooltipValue = "";

			// Numero
			$this->Numero->LinkCustomAttributes = "";
			$this->Numero->HrefValue = "";
			$this->Numero->TooltipValue = "";

			// Codigo_tres
			$this->Codigo_tres->LinkCustomAttributes = "";
			$this->Codigo_tres->HrefValue = "";
			$this->Codigo_tres->TooltipValue = "";

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->LinkCustomAttributes = "";
			$this->Titulo_codigo_tres->HrefValue = "";
			$this->Titulo_codigo_tres->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("consulta_final_2018list.php"), "", $this->TableVar, TRUE);
		$PageId = "view";
		$Breadcrumb->Add("view", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Page Exporting event
	// $this->ExportDoc = export document object
	function Page_Exporting() {

		//$this->ExportDoc->Text = "my header"; // Export header
		//return FALSE; // Return FALSE to skip default export and use Row_Export event

		return TRUE; // Return TRUE to use default export and skip Row_Export event
	}

	// Row Export event
	// $this->ExportDoc = export document object
	function Row_Export($rs) {

	    //$this->ExportDoc->Text .= "my content"; // Build HTML with field value: $rs["MyField"] or $this->MyField->ViewValue
	}

	// Page Exported event
	// $this->ExportDoc = export document object
	function Page_Exported() {

		//$this->ExportDoc->Text .= "my footer"; // Export footer
		//echo $this->ExportDoc->Text;

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($consulta_final_2018_view)) $consulta_final_2018_view = new cconsulta_final_2018_view();

// Page init
$consulta_final_2018_view->Page_Init();

// Page main
$consulta_final_2018_view->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$consulta_final_2018_view->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "view";
var CurrentForm = fconsulta_final_2018view = new ew_Form("fconsulta_final_2018view", "view");

// Form_CustomValidate event
fconsulta_final_2018view.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fconsulta_final_2018view.ValidateRequired = true;
<?php } else { ?>
fconsulta_final_2018view.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php $consulta_final_2018_view->ExportOptions->Render("body") ?>
<?php
	foreach ($consulta_final_2018_view->OtherOptions as &$option)
		$option->Render("body");
?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $consulta_final_2018_view->ShowPageHeader(); ?>
<?php
$consulta_final_2018_view->ShowMessage();
?>
<form name="fconsulta_final_2018view" id="fconsulta_final_2018view" class="form-inline ewForm ewViewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($consulta_final_2018_view->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $consulta_final_2018_view->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="consulta_final_2018">
<table class="table table-bordered table-striped ewViewTable">
<?php if ($consulta_final_2018->ID_tabla->Visible) { // ID_tabla ?>
	<tr id="r_ID_tabla">
		<td><span id="elh_consulta_final_2018_ID_tabla"><?php echo $consulta_final_2018->ID_tabla->FldCaption() ?></span></td>
		<td data-name="ID_tabla"<?php echo $consulta_final_2018->ID_tabla->CellAttributes() ?>>
<span id="el_consulta_final_2018_ID_tabla">
<span<?php echo $consulta_final_2018->ID_tabla->ViewAttributes() ?>>
<?php echo $consulta_final_2018->ID_tabla->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_prestador->Visible) { // Codigo_prestador ?>
	<tr id="r_Codigo_prestador">
		<td><span id="elh_consulta_final_2018_Codigo_prestador"><?php echo $consulta_final_2018->Codigo_prestador->FldCaption() ?></span></td>
		<td data-name="Codigo_prestador"<?php echo $consulta_final_2018->Codigo_prestador->CellAttributes() ?>>
<span id="el_consulta_final_2018_Codigo_prestador">
<span<?php echo $consulta_final_2018->Codigo_prestador->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_prestador->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_id_usuario->Visible) { // Tipo_id_usuario ?>
	<tr id="r_Tipo_id_usuario">
		<td><span id="elh_consulta_final_2018_Tipo_id_usuario"><?php echo $consulta_final_2018->Tipo_id_usuario->FldCaption() ?></span></td>
		<td data-name="Tipo_id_usuario"<?php echo $consulta_final_2018->Tipo_id_usuario->CellAttributes() ?>>
<span id="el_consulta_final_2018_Tipo_id_usuario">
<span<?php echo $consulta_final_2018->Tipo_id_usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_id_usuario->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Numero_id_usuario->Visible) { // Numero_id_usuario ?>
	<tr id="r_Numero_id_usuario">
		<td><span id="elh_consulta_final_2018_Numero_id_usuario"><?php echo $consulta_final_2018->Numero_id_usuario->FldCaption() ?></span></td>
		<td data-name="Numero_id_usuario"<?php echo $consulta_final_2018->Numero_id_usuario->CellAttributes() ?>>
<span id="el_consulta_final_2018_Numero_id_usuario">
<span<?php echo $consulta_final_2018->Numero_id_usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Numero_id_usuario->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Fecha_consulta->Visible) { // Fecha_consulta ?>
	<tr id="r_Fecha_consulta">
		<td><span id="elh_consulta_final_2018_Fecha_consulta"><?php echo $consulta_final_2018->Fecha_consulta->FldCaption() ?></span></td>
		<td data-name="Fecha_consulta"<?php echo $consulta_final_2018->Fecha_consulta->CellAttributes() ?>>
<span id="el_consulta_final_2018_Fecha_consulta">
<span<?php echo $consulta_final_2018->Fecha_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Fecha_consulta->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_consulta->Visible) { // Codigo_consulta ?>
	<tr id="r_Codigo_consulta">
		<td><span id="elh_consulta_final_2018_Codigo_consulta"><?php echo $consulta_final_2018->Codigo_consulta->FldCaption() ?></span></td>
		<td data-name="Codigo_consulta"<?php echo $consulta_final_2018->Codigo_consulta->CellAttributes() ?>>
<span id="el_consulta_final_2018_Codigo_consulta">
<span<?php echo $consulta_final_2018->Codigo_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_consulta->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Finalidad_consulta->Visible) { // Finalidad_consulta ?>
	<tr id="r_Finalidad_consulta">
		<td><span id="elh_consulta_final_2018_Finalidad_consulta"><?php echo $consulta_final_2018->Finalidad_consulta->FldCaption() ?></span></td>
		<td data-name="Finalidad_consulta"<?php echo $consulta_final_2018->Finalidad_consulta->CellAttributes() ?>>
<span id="el_consulta_final_2018_Finalidad_consulta">
<span<?php echo $consulta_final_2018->Finalidad_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Finalidad_consulta->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Causa_externa->Visible) { // Causa_externa ?>
	<tr id="r_Causa_externa">
		<td><span id="elh_consulta_final_2018_Causa_externa"><?php echo $consulta_final_2018->Causa_externa->FldCaption() ?></span></td>
		<td data-name="Causa_externa"<?php echo $consulta_final_2018->Causa_externa->CellAttributes() ?>>
<span id="el_consulta_final_2018_Causa_externa">
<span<?php echo $consulta_final_2018->Causa_externa->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Causa_externa->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_diagnostico->Visible) { // Codigo_diagnostico ?>
	<tr id="r_Codigo_diagnostico">
		<td><span id="elh_consulta_final_2018_Codigo_diagnostico"><?php echo $consulta_final_2018->Codigo_diagnostico->FldCaption() ?></span></td>
		<td data-name="Codigo_diagnostico"<?php echo $consulta_final_2018->Codigo_diagnostico->CellAttributes() ?>>
<span id="el_consulta_final_2018_Codigo_diagnostico">
<span<?php echo $consulta_final_2018->Codigo_diagnostico->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_diagnostico->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_diagnostico_principal->Visible) { // Tipo_diagnostico_principal ?>
	<tr id="r_Tipo_diagnostico_principal">
		<td><span id="elh_consulta_final_2018_Tipo_diagnostico_principal"><?php echo $consulta_final_2018->Tipo_diagnostico_principal->FldCaption() ?></span></td>
		<td data-name="Tipo_diagnostico_principal"<?php echo $consulta_final_2018->Tipo_diagnostico_principal->CellAttributes() ?>>
<span id="el_consulta_final_2018_Tipo_diagnostico_principal">
<span<?php echo $consulta_final_2018->Tipo_diagnostico_principal->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_diagnostico_principal->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Edad->Visible) { // Edad ?>
	<tr id="r_Edad">
		<td><span id="elh_consulta_final_2018_Edad"><?php echo $consulta_final_2018->Edad->FldCaption() ?></span></td>
		<td data-name="Edad"<?php echo $consulta_final_2018->Edad->CellAttributes() ?>>
<span id="el_consulta_final_2018_Edad">
<span<?php echo $consulta_final_2018->Edad->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Edad->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Unidad_edad->Visible) { // Unidad_edad ?>
	<tr id="r_Unidad_edad">
		<td><span id="elh_consulta_final_2018_Unidad_edad"><?php echo $consulta_final_2018->Unidad_edad->FldCaption() ?></span></td>
		<td data-name="Unidad_edad"<?php echo $consulta_final_2018->Unidad_edad->CellAttributes() ?>>
<span id="el_consulta_final_2018_Unidad_edad">
<span<?php echo $consulta_final_2018->Unidad_edad->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Unidad_edad->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Sexo->Visible) { // Sexo ?>
	<tr id="r_Sexo">
		<td><span id="elh_consulta_final_2018_Sexo"><?php echo $consulta_final_2018->Sexo->FldCaption() ?></span></td>
		<td data-name="Sexo"<?php echo $consulta_final_2018->Sexo->CellAttributes() ?>>
<span id="el_consulta_final_2018_Sexo">
<span<?php echo $consulta_final_2018->Sexo->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Sexo->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Zona_residencia->Visible) { // Zona_residencia ?>
	<tr id="r_Zona_residencia">
		<td><span id="elh_consulta_final_2018_Zona_residencia"><?php echo $consulta_final_2018->Zona_residencia->FldCaption() ?></span></td>
		<td data-name="Zona_residencia"<?php echo $consulta_final_2018->Zona_residencia->CellAttributes() ?>>
<span id="el_consulta_final_2018_Zona_residencia">
<span<?php echo $consulta_final_2018->Zona_residencia->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Zona_residencia->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
	<tr id="r_Tipo_Usuario">
		<td><span id="elh_consulta_final_2018_Tipo_Usuario"><?php echo $consulta_final_2018->Tipo_Usuario->FldCaption() ?></span></td>
		<td data-name="Tipo_Usuario"<?php echo $consulta_final_2018->Tipo_Usuario->CellAttributes() ?>>
<span id="el_consulta_final_2018_Tipo_Usuario">
<span<?php echo $consulta_final_2018->Tipo_Usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_Usuario->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_eps->Visible) { // Codigo_eps ?>
	<tr id="r_Codigo_eps">
		<td><span id="elh_consulta_final_2018_Codigo_eps"><?php echo $consulta_final_2018->Codigo_eps->FldCaption() ?></span></td>
		<td data-name="Codigo_eps"<?php echo $consulta_final_2018->Codigo_eps->CellAttributes() ?>>
<span id="el_consulta_final_2018_Codigo_eps">
<span<?php echo $consulta_final_2018->Codigo_eps->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_eps->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Causa_Completa->Visible) { // Causa_Completa ?>
	<tr id="r_Causa_Completa">
		<td><span id="elh_consulta_final_2018_Causa_Completa"><?php echo $consulta_final_2018->Causa_Completa->FldCaption() ?></span></td>
		<td data-name="Causa_Completa"<?php echo $consulta_final_2018->Causa_Completa->CellAttributes() ?>>
<span id="el_consulta_final_2018_Causa_Completa">
<span<?php echo $consulta_final_2018->Causa_Completa->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Causa_Completa->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Id->Visible) { // Id ?>
	<tr id="r_Id">
		<td><span id="elh_consulta_final_2018_Id"><?php echo $consulta_final_2018->Id->FldCaption() ?></span></td>
		<td data-name="Id"<?php echo $consulta_final_2018->Id->CellAttributes() ?>>
<span id="el_consulta_final_2018_Id">
<span<?php echo $consulta_final_2018->Id->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Id->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Letra->Visible) { // Letra ?>
	<tr id="r_Letra">
		<td><span id="elh_consulta_final_2018_Letra"><?php echo $consulta_final_2018->Letra->FldCaption() ?></span></td>
		<td data-name="Letra"<?php echo $consulta_final_2018->Letra->CellAttributes() ?>>
<span id="el_consulta_final_2018_Letra">
<span<?php echo $consulta_final_2018->Letra->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Letra->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Numero->Visible) { // Numero ?>
	<tr id="r_Numero">
		<td><span id="elh_consulta_final_2018_Numero"><?php echo $consulta_final_2018->Numero->FldCaption() ?></span></td>
		<td data-name="Numero"<?php echo $consulta_final_2018->Numero->CellAttributes() ?>>
<span id="el_consulta_final_2018_Numero">
<span<?php echo $consulta_final_2018->Numero->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Numero->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_tres->Visible) { // Codigo_tres ?>
	<tr id="r_Codigo_tres">
		<td><span id="elh_consulta_final_2018_Codigo_tres"><?php echo $consulta_final_2018->Codigo_tres->FldCaption() ?></span></td>
		<td data-name="Codigo_tres"<?php echo $consulta_final_2018->Codigo_tres->CellAttributes() ?>>
<span id="el_consulta_final_2018_Codigo_tres">
<span<?php echo $consulta_final_2018->Codigo_tres->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_tres->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($consulta_final_2018->Titulo_codigo_tres->Visible) { // Titulo_codigo_tres ?>
	<tr id="r_Titulo_codigo_tres">
		<td><span id="elh_consulta_final_2018_Titulo_codigo_tres"><?php echo $consulta_final_2018->Titulo_codigo_tres->FldCaption() ?></span></td>
		<td data-name="Titulo_codigo_tres"<?php echo $consulta_final_2018->Titulo_codigo_tres->CellAttributes() ?>>
<span id="el_consulta_final_2018_Titulo_codigo_tres">
<span<?php echo $consulta_final_2018->Titulo_codigo_tres->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Titulo_codigo_tres->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<script type="text/javascript">
fconsulta_final_2018view.Init();
</script>
<?php
$consulta_final_2018_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$consulta_final_2018_view->Page_Terminate();
?>
